[136151] trunk/dports/gnome

devans at macports.org devans at macports.org
Mon May 11 15:36:48 PDT 2015


Revision: 136151
          https://trac.macports.org/changeset/136151
Author:   devans at macports.org
Date:     2015-05-11 15:36:47 -0700 (Mon, 11 May 2015)
Log Message:
-----------
dconf-editor: new port, previously part of and depends on dconf.

Added Paths:
-----------
    trunk/dports/gnome/dconf-editor/
    trunk/dports/gnome/dconf-editor/Portfile
    trunk/dports/gnome/dconf-editor/files/
    trunk/dports/gnome/dconf-editor/files/autogen.sh

Added: trunk/dports/gnome/dconf-editor/Portfile
===================================================================
--- trunk/dports/gnome/dconf-editor/Portfile	                        (rev 0)
+++ trunk/dports/gnome/dconf-editor/Portfile	2015-05-11 22:36:47 UTC (rev 136151)
@@ -0,0 +1,57 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+
+name                dconf-editor
+version             3.16.1
+set branch          [join [lrange [split ${version} .] 0 1] .]
+maintainers         devans openmaintainer
+categories          gnome
+platforms           darwin
+license             GPL-2+
+description         The  dconf-editor  program  provides a graphical interface \
+                    for editing settings that are stored in the dconf database.
+
+long_description    ${description} \
+                    Previously part of dconf, it is now a stand-alone module.
+                    
+homepage            https://wiki.gnome.org/Projects/dconf
+master_sites        gnome:sources/${name}/${branch}/
+
+use_xz              yes
+
+checksums           rmd160  03441138108ec127dc96255fd2857c7926c3c064 \
+                    sha256  085d1d4f2acc0400b096d0dfbfcb118fd0de61a5647010ce988b2e04d7f3856e
+
+depends_build       port:pkgconfig \
+                    port:intltool \
+                    port:docbook-xsl \
+                    port:libxslt \
+                    port:autoconf \
+                    port:automake
+
+depends_lib         port:desktop-file-utils \
+                    path:lib/pkgconfig/glib-2.0.pc:glib2 \
+                    port:dconf \
+                    port:gtk3 \
+                    port:libxml2
+
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
+configure.args      --disable-schemas-compile \
+                    --disable-silent-rules
+
+post-activate {
+    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
+    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+}
+
+livecheck.type      gnome


Property changes on: trunk/dports/gnome/dconf-editor/Portfile
___________________________________________________________________
Added: svn:keywords
   + Id
Added: svn:eol-style
   + native

Added: trunk/dports/gnome/dconf-editor/files/autogen.sh
===================================================================
--- trunk/dports/gnome/dconf-editor/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/dconf-editor/files/autogen.sh	2015-05-11 22:36:47 UTC (rev 136151)
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
+if automake-1.11 --version > /dev/null 2>&1; then
+  automake_suffix='-1.11'
+else
+  automake_suffix=''
+fi
+
+mkdir -p m4 build-aux
+intltoolize --force
+aclocal${automake_suffix}
+autoheader
+automake${automake_suffix} --add-missing
+autoconf
+
+CFLAGS=${CFLAGS=-ggdb}
+LDFLAGS=${LDFLAGS=-Wl,-O1}
+export CFLAGS LDFLAGS
+
+cd "$olddir"
+
+if test -z "$NOCONFIGURE"; then
+  "$srcdir"/configure "$@"
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150511/637ede21/attachment.html>


More information about the macports-changes mailing list